Skip to main content

Sale Using a Redirect URL


This section describes how to send a sale request to process a payment using a redirect URL to verify the customer.

A sale request authorizes and captures a payment in the same request. A successful sale response includes a redirect URL and a PENDING status. Redirect the customer to the PayTo URL to allow the customer to complete the checkout using their bank information. When the customer completes the checkout, the customer is redirected to your website.

When you receive a successful response, save the sale request ID in the id response field to perform a follow-on check status request or refund request.

Calculating the Grand Total

Include the grand total in the request by using the orderInformation.amountDetails.totalAmount field.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

See Endpoints for the full per-brand Server URLs reference.

Example

{    "clientReferenceInformation": {        "code": "TC84100-1"    },    "processingInformation": {        "actionList": [            "AP_SALE"        ]    },    "orderInformation": {        "invoiceDetails": {            "productDescription": "test description"        },        "amountDetails": {            "totalAmount": "1999.99",            "currency": "AUD"        }    },    "deviceInformation": {        "ipAddress": "192.168.1.1"    },    "paymentInformation": {        "paymentType": {            "name": "bankTransfer",            "method": {                "name": "payToPayByBank"            }        },        "bank": {            "accountAlias": {                "id": "+61-88888888",                "type": "phone"            }        }    }}
{    "processorInformation": {        "responseCode": "00001",        "completeUrl": "merchant_success_url.com",        "transactionId": "88ad9137-0285-4c42-bf08-3bd55a2416d9"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "1999.99",            "currency": "AUD"        }    },    "clientReferenceInformation": {        "code": "TC84100-1"    },    "reconciliationId": "KPQ46J6O532R",    "message": "Request was processed successfully.",    "status": "PENDING",    "id": "7683218349806911204805",    "submitTimeUtc": "2026-01-13T16:30:35Z"}
FieldTypeDescription
clientReferenceInformation.codeSet to an 18-character value or less.
orderInformation.amountDetails.currencySet to AUD.
orderInformation.amountDetails.totalAmount
orderInformation.invoiceDetails.productDescription
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to AP_SALE.

If needed, include any of these optional line item fields in the request:

Optional Fields
FieldTypeDescription
merchantInformation.merchantDescriptor.administrativeArea
merchantInformation.merchantDescriptor.country
orderInformation.amountDetails.discountAmount
orderInformation.amountDetails.dutyAmount
orderInformation.amountDetails.exchangeRate
orderInformation.amountDetails.taxAmount
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.company.name
orderInformation.billTo.country
orderInformation.billTo.county
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.middleName
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
orderInformation.billTo.title
orderInformation.shippingDetails.shippingMethod
orderInformation.shipTo.address1
orderInformation.shipTo.address2
orderInformation.shipTo.administrativeArea
orderInformation.shipTo.company
orderInformation.shipTo.country
orderInformation.shipTo.district
orderInformation.shipTo.email
orderInformation.shipTo.firstName
orderInformation.shipTo.lastName
orderInformation.shipTo.locality
orderInformation.shipTo.phoneNumber
orderInformation.shipTo.postalCode

Response Fields

The processorInformation.paymentUrl response field contains the URL to redirect the customer to complete the payment on their bank's website:

"paymentUrl": "https://checkout.banked.com/au/3645bd90-7625-4202-8cc3-a1cb58358899?token=eyJhbGciOiJI"

Save the request ID in the id field from the sale response. Include the request ID in a check status request to confirm that the payment is complete:

"id": "7544094135706957804805"

When the sale amount is successfully processed, sends a SETTLED webhook notification. See Webhook Subscriptions. If you do not receive a webhook notification, send a check status request. See Check Status.

Last published: September 29, 2026